import 'dart:convert';

class StatisticsRecentData {
  final int recentCount;
  final int firstPlayedArtistsCount;
  final int firstPlayedTracksCount;
  final int selectedPeriod;

  const StatisticsRecentData({
    required this.recentCount,
    required this.firstPlayedArtistsCount,
    required this.firstPlayedTracksCount,
    required this.selectedPeriod,
  });

  factory StatisticsRecentData.fromJson(Map<String, dynamic> json) {
    return StatisticsRecentData(
      recentCount: json['recentCount'] != null ? json['recentCount'] as int : 0,
      firstPlayedArtistsCount:
          json['firstPlayedArtistsCount'] != null ? json['firstPlayedArtistsCount'] as int : 0,
      firstPlayedTracksCount:
          json['firstPlayedTracksCount'] != null ? json['firstPlayedTracksCount'] as int : 0,
      selectedPeriod: json['selectedPeriod'] != null ? json['selectedPeriod'] as int : 0,
    );
  }

  factory StatisticsRecentData.createEmpty() {
    return StatisticsRecentData.fromJson({});
  }

  String toString() {
    Map<String, dynamic> map = {
      'recentCount': this.recentCount,
      'firstPlayedArtistsCount': this.firstPlayedArtistsCount,
      'firstPlayedTracksCount': this.firstPlayedTracksCount,
      'selectedPeriod': this.selectedPeriod,
    };

    return jsonEncode(map);
  }
}
